<template>
  <nuxt-picture
    ref="nuxtImg"
    class="fullscreen-picture"
    :src="imageUrl"
    :alt="alt"
    responsive
    preload
    sizes="sm:100vw md:100vw lg:100vw xl:100vw xxl: 100vw"
    format="webp"
    is-static
    quality="100"
  />
</template>
<script>
export default {
  props: {
    imageUrl: {
      type: String,
      default: 'https://via.placeholder.com/1920x1080',
    },
    alt: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      intersectionOptions: {
        rootMargin: '0%',
        threshold: 1,
      },
    }
  },
}
</script>
<style lang="scss">
.fullscreen-picture {
  @apply w-screen py-16 px-4;
  max-width: 90vw;
  @screen md {
    @apply py-8 px-24 max-w-3xl;
  }
  @screen lg {
  }

  padding: 50px 0;
  min-height: 90vh;

  img {
    position: relative;
    margin: auto;
    width: auto;
    min-height: 70vh;

    @screen lg {
      max-width: 100%;
      height: auto;
    }
    object-fit: contain;
    opacity: 0.15;
    transition: all 300ms;
  }
}

.current .fullscreen-picture img {
  opacity: 1;
  filter: drop-shadow(0px 0px 80px rgba(255, 255, 255, 0.8));
}
</style>
